cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthias Stöckel <Matthias.Stoec...@fztig938.bank.dresdner.net>
Subject Re: JDK 1.3.1 compatibility for cvs-head
Date Tue, 06 Jul 2004 16:09:51 GMT
Joerg Heinicke wrote:
> On 05.07.2004 15:03, Matthias Stöckel wrote:
> 
>> Hi,
>>
>> I tried to compile a HEAD checkout of cocoon-2.1 and encountered a few 
>> issues about JDK 1.3.1 compatibility.
>>
>> - jakarta-bcel-20040329.jar, "NoSuchMethodError" if used with JavaFlow 
>> [1].
> 
> 
> Are you sure it's the quoted StringBuffer problem? It might also be 
> caused by a "wrong" bcel on classpath as we have extended the original one.

I got bcel from cvs and compiled it with 1.3.1 (including the bugzilla patches). Now it works
for me. I don't have another jar in the classpath for sure. The problem didn't occur with
the Cocoon JavaFlow samples. It happened only with my own application. The stacktrace pointed
to the location which I quoted.

> 
>> - groovy-1.0-beta-5.jar, I get a "class file has wrong version 48.0, 
>> should be 47.0" during compilation.
> 
> 
> This is a known problem and should be fixed.

Yes, thanks.

>> - src/java/org/apache/cocoon/acting/HttpCacheAction.java uses the 
>> Function Calendar.getTimeInMillis(). For JDK 1.3.1 it is protected.
> 
> 
> This was added only few day ago and should also be fixed. Pier?

Not yet ;-) 

Sorry for nagging about 1.3.x compatibility, but unfortunately it isn't so easy to update
the JRE in our production environment.
Cheers,
  Matthias

Mime
View raw message